

:strlen
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	jmp32  %_strlen_3_continue
:_strlen_3_loop
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:_strlen_3_continue
	mov____0x8(%ebp),%eax !0x-4
	mov____0x8(%ebp),%ebx !0x8
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %_strlen_3_break
	jmp32  %_strlen_3_loop
:_strlen_3_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:eputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:oputs
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%ebx !0x-4
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	mov____$i32,%ebx %0x1
	push___%ebx
	call32 %write
	add____$i8,%esp !0xc
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret


:puts
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %oputs
	add____$i8,%esp !0x4
	test___%eax,%eax
	push___$i32 &_string_lib/x86-mes/libc-mini.S_0
	call32 %oputs
	add____$i8,%esp !0x4
	leave
	ret


:_exit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax SYS_exit
	mov____0x8(%ebp),%ebx !8
	int____$0x80
	leave
	ret


:_write
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax SYS_write
	mov____0x8(%ebp),%ebx !8
	mov____0x8(%ebp),%ecx !12
	mov____0x8(%ebp),%edx !16
	int____$0x80
	leave
	ret


:write
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_write
	add____$i8,%esp !0xc
	mov____%eax,0x8(%ebp) !0x-4
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %_write_9_else
	mov____0x8(%ebp),%eax !0x-4
	mov____$i32,%ebx %0x0
	xchg___%eax,%ebx
	sub____%ebx,%eax
	mov____%eax,0x32 &errno
	test___%eax,%eax
	mov____$i32,%eax %0x-1
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %_write_9_break
:_write_9_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &errno
	test___%eax,%eax
:_write_9_break
	mov____0x8(%ebp),%eax !0x-4
	leave
	ret


:exit
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____0x32,%eax &__call_at_exit
					# jmp test LABEL
	test___%eax,%eax
	je32   %_exit_1_break
	mov____0x32,%eax &__call_at_exit
	call___*%eax
	add____$i8,%esp !0x0
	test___%eax,%eax
	jmp32  %_exit_1_break
:_exit_1_break
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_exit
	add____$i8,%esp !0x4
	test___%eax,%eax
	leave
	ret

:errno
!0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libc-mini.S_0
"
"

:errno
!0x00 !0x00 !0x00 !0x00

:__call_at_exit
!0x00 !0x00 !0x00 !0x00
